Page MenuHomeFreeBSD

New port: x11-fonts/google-fonts: Collection of freely redistributable TrueType fonts from Google
ClosedPublic

Authored by yuri on Nov 14 2017, 5:58 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Nov 14 2017, 5:58 PM
tcberner added inline comments.Nov 14 2017, 6:12 PM
x11-fonts/google-fonts/Makefile
13 ↗(On Diff #35242)

wouldn't it make more sense to add the rest of them also separately, and have this one as a metaport?

yuri marked an inline comment as done.Nov 14 2017, 6:15 PM
yuri added inline comments.
x11-fonts/google-fonts/Makefile
13 ↗(On Diff #35242)

Ok, I will ask the original submitter.

yuri marked 2 inline comments as done.Nov 14 2017, 6:16 PM
yuri added inline comments.Nov 14 2017, 6:23 PM
x11-fonts/google-fonts/Makefile
13 ↗(On Diff #35242)

He says that there are over 800 font families. He created these RUN_DEPENDS to avoid duplication with preexisting ports that happened to exist for some individual ones.

tcberner added inline comments.Nov 14 2017, 6:31 PM
x11-fonts/google-fonts/Makefile
60 ↗(On Diff #35242)

This should go simpler [tm]

yuri marked an inline comment as done.Nov 14 2017, 6:48 PM
yuri marked an inline comment as done.
yuri added inline comments.
x11-fonts/google-fonts/Makefile
60 ↗(On Diff #35242)

What do you mean by simpler? -)

wihtout nested for-loops :) ... I may b wrong, but it looks a bit overdesigned ^^

yuri marked an inline comment as done.Nov 14 2017, 6:52 PM

wihtout nested for-loops :) ... I may b wrong, but it looks a bit overdesigned ^^

Ok, I passed your suggestion to the OP.

I will be off for a few hours.

Thank you for reviewing! :-)

yuri updated this revision to Diff 35265.Nov 15 2017, 4:05 AM

Simplified the install target.

yuri marked an inline comment as done.Nov 16 2017, 7:19 AM
tcberner accepted this revision.Nov 18 2017, 10:29 AM
This revision is now accepted and ready to land.Nov 18 2017, 10:29 AM
This revision was automatically updated to reflect the committed changes.